#!/usr/bin/env bash

APP_NAME=org.eclipse.wtp.releng.tools.addRepoProperties

devworkspace=./workspace

JAVA_5_HOME=/shared/webtools/apps/ibm-java2-sdk-5.0-12.1-linux-i386
JAVA_6_HOME=/shared/webtools/apps/ibm-java-sdk-6.0-8.1-linux-i386
export JAVA_HOME=${JAVA_6_HOME}
devJRE=$JAVA_HOME/jre/bin/java

ibmDevArgs="-Xms128M -Xmx256M -Dosgi.ws=gtk -Dosgi.os=linux -Dosgi.arch=x86" 

DROPDIR="/opt/public/webtools/committers/wtp-R3.2.2-M/20100915173744/R-3.2.2-20100915173744"

REPO="${DROPDIR}/repository/"

# remember, MIRRORURL should point to where download artifacts will be ... we don't mirror from 
# commmitters area, and don't want to have to change it just for a promote from committers to downloads
MIRRORURL="/webtools/downloads/drops/R3.2.2/R-3.2.2-20100915173744/repository/"

if [ ! -z $MIRRORURL ] 
then 
    MIRRORURL_ARG="http://www.eclipse.org/downloads/download.php?format=xml&file=${MIRRORURL}&protocol=http"
else
    MIRRORURL_ARG=""
fi

# remember, the '&' should NOT be unescaped here ... the p2 api (or underlying xml) will escape it. 
devArgs="$ibmDevArgs \
-Dp2MirrorsURL=${MIRRORURL_ARG} \
-DartifactRepoDirectory=${REPO}  \
-Dp2StatsURI=http://download.eclipse.org/stats/webtools/repository/helios -DstatsArtifactsSuffix=_helios_SR1 -DstatsTrackedArtifacts=org.eclipse.wst.jsdt.feature,org.eclipse.wst.xml_ui.feature,org.eclipse.wst.web_ui.feature,org.eclipse.jst.enterprise_ui.feature"


echo "dev:          " $0
echo
echo "devworkspace: " $devworkspace
echo
echo "devJRE:       " $devJRE
echo
echo "devArgs:      " $devArgs
echo
echo "APP_NAME:     " $APP_NAME
$devJRE -version
echo

ECLIPSE_INSTALL=/shared/webtools/apps/eclipse361/eclipse

$ECLIPSE_INSTALL/eclipse  -debug -nosplash -consolelog -console -data $devworkspace --launcher.suppressErrors -application ${APP_NAME} ${OTHER_ARGS} -vm $devJRE -vmargs $devArgs


